Class GeoScrapeTaskImpl
java.lang.Object
ubic.gemma.core.job.AbstractTask<GeoScrapeTaskCommand>
ubic.gemma.core.tasks.maintenance.GeoScrapeTaskImpl
- All Implemented Interfaces:
Callable<TaskResult>, Task<GeoScrapeTaskCommand>, GeoScrapeTask
@Component
@Scope("prototype")
public class GeoScrapeTaskImpl
extends AbstractTask<GeoScrapeTaskCommand>
implements GeoScrapeTask
Async runner for the GEO scrape & preboard pipeline. Submitted by
POST /admin/tasks/geo-scrape.- Author:
- phase 3 geo-scrape pipeline
-
Constructor Summary
Constructors -
Method Summary
Methods inherited from class AbstractTask
getTaskCommand, newTaskResult, setTaskCommandMethods inherited from class Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, waitMethods inherited from interface Task
getTaskCommand, setTaskCommand
-
Constructor Details
-
GeoScrapeTaskImpl
public GeoScrapeTaskImpl()
-
-
Method Details
-
call
- Specified by:
callin interfaceCallable<TaskResult>
-